import request from '@/utils/httpRequest'

export default class RosterService {
  list (params) {
    return request({
      url: '/roster/base/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/roster/base/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/roster/base/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/roster/base/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
}
